Skip to content
Start here

Delete a User Agent Blocking rule

client.Firewall.UARules.Delete(ctx, uaRuleID, body) (*UARuleDeleteResponse, error)
DELETE/zones/{zone_id}/firewall/ua_rules/{ua_rule_id}

Deletes an existing User Agent Blocking rule.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Firewall Services Write
ParametersExpand Collapse
uaRuleID string

The unique identifier of the User Agent Blocking rule.

maxLength32
body UARuleDeleteParams
ZoneID param.Field[string]

Defines an identifier.

maxLength32
ReturnsExpand Collapse
type UARuleDeleteResponse struct{…}
ID stringoptional

The unique identifier of the User Agent Blocking rule.

maxLength32
Configuration UARuleDeleteResponseConfigurationoptional

The configuration object for the current rule.

Target stringoptional

The configuration target for this rule. You must set the target to ua for User Agent Blocking rules.

Value stringoptional

The exact user agent string to match. This value will be compared to the received User-Agent HTTP header value.

Description stringoptional

An informative summary of the rule.

maxLength1024
Mode UARuleDeleteResponseModeoptional

The action to apply to a matched request.

maxLength12
One of the following:
const UARuleDeleteResponseModeBlock UARuleDeleteResponseMode = "block"
const UARuleDeleteResponseModeChallenge UARuleDeleteResponseMode = "challenge"
const UARuleDeleteResponseModeJSChallenge UARuleDeleteResponseMode = "js_challenge"
const UARuleDeleteResponseModeManagedChallenge UARuleDeleteResponseMode = "managed_challenge"
Paused booloptional

When true, indicates that the rule is currently paused.

Delete a User Agent Blocking rule

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/firewall"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  uaRule, err := client.Firewall.UARules.Delete(
    context.TODO(),
    "372e67954025e0ba6aaa6d586b9e0b59",
    firewall.UARuleDeleteParams{
      ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", uaRule.ID)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "372e67954025e0ba6aaa6d586b9e0b59",
    "configuration": {
      "target": "ua",
      "value": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_5) AppleWebKit/603.2.4 (KHTML, like Gecko) Version/10.1.1 Safari/603.2.4"
    },
    "description": "Prevent access from abusive clients identified by this User Agent to mitigate a DDoS attack",
    "mode": "js_challenge",
    "paused": false
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "372e67954025e0ba6aaa6d586b9e0b59",
    "configuration": {
      "target": "ua",
      "value": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_5) AppleWebKit/603.2.4 (KHTML, like Gecko) Version/10.1.1 Safari/603.2.4"
    },
    "description": "Prevent access from abusive clients identified by this User Agent to mitigate a DDoS attack",
    "mode": "js_challenge",
    "paused": false
  },
  "success": true
}